Package io.dapr.v1

# Class DaprProtos.GetStateResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>
io.dapr.v1.DaprProtos.GetStateResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetStateResponseOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  DaprProtos.GetStateResponse

    public static final class DaprProtos.GetStateResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>
    implements DaprProtos.GetStateResponseOrBuilder

     GetStateResponse is the response conveying the state value and etag.

Protobuf type `dapr.proto.runtime.v1.GetStateResponse`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprProtos.GetStateResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.GetStateResponse` | `build()` |
  `DaprProtos.GetStateResponse` | `buildPartial()` |
  `DaprProtos.GetStateResponse.Builder` | `clear()` |
  `DaprProtos.GetStateResponse.Builder` | `clearData()` | The byte array data
  `DaprProtos.GetStateResponse.Builder` | `clearEtag()` | The entity tag which represents the specific version of data.
  `DaprProtos.GetStateResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `DaprProtos.GetStateResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `DaprProtos.GetStateResponse.Builder` | `clone()` |
  `com.google.protobuf.ByteString` | `getData()` | The byte array data
  `DaprProtos.GetStateResponse` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `java.lang.String` | `getEtag()` | The entity tag which represents the specific version of data.
  `com.google.protobuf.ByteString` | `getEtagBytes()` | The entity tag which represents the specific version of data.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `DaprProtos.GetStateResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `DaprProtos.GetStateResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `DaprProtos.GetStateResponse.Builder` | `mergeFrom​(DaprProtos.GetStateResponse other)` |
  `DaprProtos.GetStateResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `DaprProtos.GetStateResponse.Builder` | `setData​(com.google.protobuf.ByteString value)` | The byte array data
  `DaprProtos.GetStateResponse.Builder` | `setEtag​(java.lang.String value)` | The entity tag which represents the specific version of data.
  `DaprProtos.GetStateResponse.Builder` | `setEtagBytes​(com.google.protobuf.ByteString value)` | The entity tag which represents the specific version of data.
  `DaprProtos.GetStateResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.GetStateResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `DaprProtos.GetStateResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### clear

    public DaprProtos.GetStateResponse.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### getDefaultInstanceForType

    public DaprProtos.GetStateResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprProtos.GetStateResponse build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprProtos.GetStateResponse buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprProtos.GetStateResponse.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### setField

    public DaprProtos.GetStateResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### clearField

    public DaprProtos.GetStateResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### clearOneof

    public DaprProtos.GetStateResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### setRepeatedField

    public DaprProtos.GetStateResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### addRepeatedField

    public DaprProtos.GetStateResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### mergeFrom

    public DaprProtos.GetStateResponse.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### mergeFrom

    public DaprProtos.GetStateResponse.Builder mergeFrom​(DaprProtos.GetStateResponse other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### mergeFrom

    public DaprProtos.GetStateResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetStateResponse.Builder>`
    Throws:
      `java.io.IOException`

  - ### getData

    public com.google.protobuf.ByteString getData()

         The byte array data

    `bytes data = 1;`
    Specified by:
      `getData` in interface `DaprProtos.GetStateResponseOrBuilder`
    Returns:
      The data.

  - ### setData

    public DaprProtos.GetStateResponse.Builder setData​(com.google.protobuf.ByteString value)

         The byte array data

    `bytes data = 1;`
    Parameters:
      `value` - The data to set.
    Returns:
      This builder for chaining.

  - ### clearData

    public DaprProtos.GetStateResponse.Builder clearData()

         The byte array data

    `bytes data = 1;`
    Returns:
      This builder for chaining.

  - ### getEtag

    public java.lang.String getEtag()

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Specified by:
      `getEtag` in interface `DaprProtos.GetStateResponseOrBuilder`
    Returns:
      The etag.

  - ### getEtagBytes

    public com.google.protobuf.ByteString getEtagBytes()

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Specified by:
      `getEtagBytes` in interface `DaprProtos.GetStateResponseOrBuilder`
    Returns:
      The bytes for etag.

  - ### setEtag

    public DaprProtos.GetStateResponse.Builder setEtag​(java.lang.String value)

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Parameters:
      `value` - The etag to set.
    Returns:
      This builder for chaining.

  - ### clearEtag

    public DaprProtos.GetStateResponse.Builder clearEtag()

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Returns:
      This builder for chaining.

  - ### setEtagBytes

    public DaprProtos.GetStateResponse.Builder setEtagBytes​(com.google.protobuf.ByteString value)

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Parameters:
      `value` - The bytes for etag to set.
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final DaprProtos.GetStateResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`

  - ### mergeUnknownFields

    public final DaprProtos.GetStateResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetStateResponse.Builder>`